%global momorel 8
%global _default_patch_fuzz 2

Summary: converts Postscript(TM) and PDF files to other vector graphic formats
Name: pstoedit
Version: 3.45
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Publishing
#Source0: http://home.t-online.de/home/helga.glunz/wglunz/pstoedit/pstoedit-%{version}.tar.gz
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: pstoedit-3.45-gcc43.patch
Patch1: pstoedit-3.44-cxxflags.patch
Patch2:	pstoedit-3.45-quiet.patch
Patch3: pstoedit-3.45-gcc44.patch
Requires: ghostscript libemf >= 1.0.3-2m
Requires: plotutils
BuildPreReq: libpng-devel >= 1.2.2 
BuildPreReq: ImageMagick-Magick++-devel >= 6.4.8.5
BuildPreReq: ming-devel >= 0.3.0 
BuildPreReq: libemf-devel >= 1.0.3-2m
BuildPreReq: plotutils-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.helga-glunz.homepage.t-online.de/pstoedit/

%description
pstoedit converts Postscript(TM) and PDF files to other vector graphic
formats so that they can be edited graphically. See pstoedit.htm or
index.htm for more details on which formats are supported by pstoedit.

%prep
%setup -q
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .cxxflags
%patch2 -p1 -b .quiet
%patch3 -p1 -b .gcc44~

%build
%configure
%make

%install
%makeinstall

find %{buildroot} -name "*.la" -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc copying
%{_bindir}/*
%{_datadir}/pstoedit
%{_datadir}/aclocal/pstoedit.m4
%{_includedir}/pstoedit
%{_libdir}/pkgconfig/*
%{_libdir}/libpstoedit*
%{_libdir}/pstoedit

%changelog
* Fri Jan 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.45-8m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.45-7m)
- rebuild against rpm-4.6

* Mon Jan 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.45-6m)
- rebuild against ImageMagick-6.4.8.5-1m

* Sun Jan 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.45-5m)
- %%global _default_patch_fuzz 2
- License: GPLv2+

* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.45-4m)
- rebuild against ImageMagick-6.4.2.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.45-3m)
- rebuild against gcc43

* Mon Mar  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.45-2m)
- fix gcc-4.3

* Sun Mar  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.45-1m)
- update to 3.45

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.44-7m)
- %%NoSource -> NoSource

* Fri Jun 15 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.44-6m)
- rebuild with plotutils

* Fri Nov 10 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.44-5m)
- BuildRequires: libemf-devel and Requires: libemf to enable emf support

* Mon Oct 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.44-4m)
- delete libtool library

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.44-3m)
- rebuild against expat-2.0.0-1m

* Thu Jul 20 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.44-2m)
- rebuild against ming instead of jaming

* Wed Apr 26 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.44-1m)
- update to 3.44
- revise URL
- removed unneeded patches

* Sun Dec 11 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (3.42-1m)
- update to 3.42

* Fri May 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.33-4m)
- suppress AC_DEFUN warning.

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.33-3m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++
- add gcc34 patch

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (3.33-2m)
- revised spec for rpm 4.2.

* Wed Jan 21 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.33-1m)
- update to 3.33 [Momonga-devel.ja:01276]

* Fri Sep 27 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.32-2m)
- enable ming support again
- add BuildPreReq: jaming-devel >= 0.1.5-4m
  build problem has been fixed in jaming-devel-0.1.5-4m

* Fri Sep 13 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.32-1m)
- temporary disable ming support

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.31-8k)
- cancel gcc-3.1 autoconf-2.53

* Tue May 28 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.31-6k)
- gcc-3.1

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.31-4k)
- rebuild against libpng 1.2.2.

* Wed Feb 20 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.31-2k)
- update to 3.31

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against gcc 2.96.

* Wed Feb 3 2000 Norihito Ohmori <nono@kondara.org>
- update to version 3.16
- fix defattr

* Fri Jun 21 1999 Norihito Ohmori <ohmori@p.chiba-u.ac.jp>
 - first release
